PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.0 »
- SDSS Utilities (`pydl.pydlutils`) »
- read_ds_cooling

# read_ds_cooling

pydl.pydlutils.cooling.read_ds_cooling(fname, logT=None)

  Read in the Sutherland & Dopita (1993) cooling function.

  Parameters:
    fname{ ‘m-00.cie’, ‘m-05.cie’, ‘m+05.cie’, ‘m-10.cie’, ‘m-15.cie’, ‘m-20.cie’, ‘m-30.cie’, ‘mzero.cie’ }

      Name of the data file to read.

    logT `numpy.ndarray`, optional

      If provided, values will be interpolated to the provided values. If not provided, the values in the data files will be returned.

  Returns:
    `tuple`

      A tuple containing `logT` and `loglambda`, respectively.

  Raises:
    `ValueError`

      If the input file name is invalid.

  Notes

  The data have been retrieved from https://www.mso.anu.edu.au/~ralph/data/cool/ and stored in the package.

  Examples

      >>> from pydl.pydlutils.cooling import read_ds_cooling
      >>> logT, loglambda = read_ds_cooling('m-15.cie')
      >>> logT[0:5]
      array([4.  , 4.05, 4.1 , 4.15, 4.2 ])
      >>> loglambda[0:5]
      array([-26.  , -24.66, -23.52, -22.62, -22.11])